GET /occurrence/count
Summary: Count occurrence records
Operation ID: occurrenceCount
Auth: unknown
Operation ID: occurrenceCount
Auth: unknown
Description
Returns the count of occurrence records matching the provided filters. Same parameters as /occurrence/search but returns only a count.
Parameters (7)
basisOfRecord
(string, query, optional)
Type of record
country
(string, query, optional)
ISO 3166-1-alpha-2 country code
datasetKey
(string, query, optional)
Dataset key that published the occurrence
geometry
(string, query, optional)
WKT geometry string for spatial filtering
hasCoordinate
(boolean, query, optional)
Filter to records with coordinates
taxonKey
(integer, query, optional)
Taxon key from the GBIF backbone
year
(string, query, optional)
Year of observation
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Count occurrences in Norway | curl |
https://api.gbif.org/v1/occurrence/count?country=NO |
|
| Count human observations with coordinates | curl |
https://api.gbif.org/v1/occurrence/count?basisOfRecord=HUMAN_OBSERVATION&hasCoordinate=true |
|
| Count occurrences for Carnivora in 2023 | curl |
https://api.gbif.org/v1/occurrence/count?taxonKey=212&year=2023 |
|
| Count occurrences with isGeoreferenced=true | doc_extracted |
https://api.gbif.org/v1/occurrence/count?isGeoreferenced=True |
|
| Count occurrences with georeference filter | doc_extracted |
https://api.gbif.org/v1/occurrence/count?isGeoreferenced=true |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:24:57.466567 | 200 | 798ms | |
| 2026-03-23 09:40:23.651578 | 200 | 129ms | |
| 2026-03-23 09:23:44.120588 | 200 | 197ms | |
| 2026-03-23 09:06:52.641578 | 200 | 300ms | |
| 2026-03-23 09:02:40.135686 | 400 | 128ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:06:52.641578 | 87ef6fefd32a |
6887b25f0639 |
| 2026-03-23 09:23:44.120588 | 6887b25f0639 |
fe9975ba5efc |
| 2026-03-23 09:40:23.651578 | fe9975ba5efc |
6887b25f0639 |
| 2026-03-23 10:24:57.466567 | 6887b25f0639 |
9db29c10a82f |